
<?php

/******************************************************************************/
/* Filtre LienWalma 1.0 pour Spip */
/******************************************************************************/
/* Licence : GPL */
/* Auteur : FredoMkb (c) 2007 */
/* Role : Generer un lien vers une galerie de type Walma presente sur le meme site */
/* Integration : Dans une boucle (ARTICLES) ou (BREVES), sur le lien du site a visiter : */
/* [<a href="(#URL_SITE|lienwalma{#ID_ARTICLE,#URL_ARTICLE})">#NOM_SITE</a>] */
/* Utilisation : Ce filtre agit sur le lien hypertexte reference qu'on peut renseinger */
/* lors de la redaction d'un article ou breve. Il suffit d'entrer dans le champ "Url"  */
/* un des termes declenchant la conversion de l'adresse Url (voir la variable $liste). */
/* Filtre developpe pour le site <http://www.clubalpinoloron.fr/> */
/******************************************************************************/
/* Fonction de traitement */
function lienwalma($input='', $id='', $link='') {
	// Liste des termes utilisables pour declencher la conversion de l'Url,
	// a completer selon vos besoins (ne pas utiliser d'accents) :
	$liste = array ("walma", "galerie", "diapo", "diaporama", "visite");
	$texte = strtolower($input);
	if (in_array ($texte, $liste)) {
		$base = pathinfo($link);
		$input = ''.$base[dirname].'/spip.php?page=walma&id_article='.$id;
	}
	return $input;
}
/******************************************************************************/

?>